/* Large desktop */

@media (max-width: 1200px) {
  .boxed_layout #page {
    width: 100%;
  }

  .mt-container {
    padding: 0 2%;
    width: 100%;
  }
}

@media (min-width: 1000px) {
  #site-navigation {
    display: block !important;
  }
}

@media (max-width: 1170px) {
  #masthead .np-header-ads-area {
    /* width: 65%; */
    margin-top: 5px;
  }

  .np-slide-content-wrap .np-post-meta span,
  .news_portal_featured_posts .np-single-post .np-post-meta span {
    margin-right: 8px;
  }

  .news_portal_featured_posts .np-single-post .np-post-content .np-post-title a {
    font-size: 14px;
  }

  .news_portal_featured_posts .layout2 .np-single-post-wrap .np-post-content .np-post-title a {
    font-size: 12px;
  }

  .np-home-top-right-section {
    width: 100%;

    padding: 0;
    margin-top: 15px;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -ms-flex-flow: row wrap;
    flex-flow: row wrap;
  }

  .np-home-top-section {
    display: block;
  }

  .np-home-top-right-section .widget {
    width: 50%;
    padding-right: 7.5px;
    /* height: 100%; */
    margin: 0;
  }

  .np-home-top-left-section {
    width: 100%;
  }

  .np-home-top-right-section .widget:last-child {
    padding: 0;
    padding-left: 7.5px;
  }

  .widget_media_image .image {
    height: 100% !important;
  }

  .np-secondary-block-wrap .np-post-thumb img {
    width: 100%;
  }

  .np-header-ads-area .widget_search {
    margin: 10px 30px;
  }

  .np-home-middle-section section {
    width: auto;
    padding: 2% 0 !important;
  }

  .np-home-middle-section section .textwidget {
    width: auto !important;
  }

  .homepage-statistical .textwidget .box-right img {
    object-fit: contain;
  }

  .list-post .post {
    /* width: calc(50% - 8px); */
  }

  .list-post .post:nth-child(4n) {
    margin-right: 15px;
  }

  .list-post .post:nth-child(2n) {
    margin-right: 0px;
  }

  .page--contact .col {
    width: 100%;
  }

  .page--contact .large-title {
    margin: 30px 0 20px;
  }

  .archive #left-sidebar {
    width: 100%;
    margin: 0 0 30px;
  }

  .archive .main-content {
    width: 100%;
    padding: 0;
  }

  #top-footer .widget-title {
    padding: 20px 0;
    margin: 0;
  }



}

/*End media 1170px*/

@media (max-width: 979px) {
  #masthead .np-header-ads-area {
    width: 100%;
    text-align: center;
    display: none;
  }

  #masthead .site-branding {
    text-align: center;
    float: none;
    margin: 0 auto;
  }

  .news_portal_featured_slider .slider-posts {
    float: none;
    width: 100%;
  }

  .np-home-top-section .news_portal_featured_posts,
  .news_portal_featured_slider .featured-posts {
    margin-top: 5px;
    width: 100%;
  }

  .news_portal_featured_slider .slider-posts img,
  .news_portal_featured_slider .featured-posts img {
    width: 100%;
  }

  .news_portal_featured_slider .featured-posts .np-single-post-wrap {
    margin-left: 2%;
    margin-top: 2%;
    padding-left: 0;
    width: 48%;
  }

  .news_portal_featured_slider .featured-posts .featured-posts-wrapper {
    margin-left: -2%;
  }

  .news_portal_featured_posts .np-single-post .np-post-content .np-post-title a {
    font-size: 16px;
  }

  .np-home-top-section .news_portal_slider .np-single-slide-wrap img {
    width: 100%;
  }

  .news_portal_featured_posts .np-featured-posts-wrapper {
    margin-left: 0;
  }

  .news_portal_featured_posts .np-single-post-wrap {
    margin: 1% 0 1% 2%;
    width: 48%;
  }

  .news_portal_featured_posts .np-single-post-wrap .np-post-content .np-post-title a {
    font-size: 14px;
  }

  .news_portal_recent_posts .np-recent-posts-wrapper .np-post-thumb img,
  .news_portal_default_tabbed .np-post-thumb img {
    width: 100%;
  }

  .news_portal_recent_posts .np-recent-posts-wrapper .np-post-thumb {
    float: left;
    width: 30%;
  }

  .news_portal_recent_posts .np-recent-posts-wrapper .np-post-thumb .np-post-title.small-size a {
    font-size: 16px;
    font-weight: 500;
  }

  .news_portal_recent_posts .np-recent-posts-wrapper .np-post-title.small-size a,
  .news_portal_default_tabbed .np-post-title.small-size a {
    font-size: ;
  }

  .tax-product_cat #left-sidebar {
    float: none;
    width: 100%;
  }

  .tax-product_cat .main-content {
    float: none;
    width: 100%;
  }

  .category-product-wrapper .item {
    width: calc(50% - 8px);
  }

  .category-product-wrapper .item:nth-child(2n) {
    margin-right: 0 !important;
  }

  .category-product-wrapper .item:nth-child(5n) {
    margin-right: 15px;
  }

  .np-single-product {
    width: calc(50% - 10px);
    margin-bottom: 20px;
  }

  .np-single-product:nth-child(5n) {
    margin-right: 15px;
  }

  .np-single-product:nth-child(2n) {
    margin-right: 0;
  }

  .np-secondary-block-wrap .np-single-post {
    width: calc(50% - 12px);
  }

  .np-secondary-block-wrap .np-single-post:nth-child(5n) {
    margin-right: 15px;
  }

  .np-secondary-block-wrap .np-single-post:nth-child(2n) {
    margin-right: 0;
  }

  #masthead .site-branding img {
    height: 70px;
    object-fit: contain;
  }


  .np-home-middle-section section .textwidget .item {
    width: auto !important;
    padding: 0 !important;
  }

  .np-home-middle-section section.homepage_intro .textwidget .box-right {
    margin: 0 auto;
    width: 100%;
  }

  .np-home-middle-section section.homepage_intro .box-viewmore {
    margin: 30px 0;
    padding: 0;
  }

  .news_portal_carousel {
    width: auto;
  }

  .np-block-product-wrapper {
    margin: 0;
  }

  .homepage-statistical .textwidget .box-left {
    width: auto;
    padding: 0;
  }

  .homepage-statistical .textwidget .box-right {
    width: auto;
    margin: 0 auto;
  }

  .homepage-statistical .textwidget {
    padding: 30px 0px;
  }

  .product-detail-block .related.products {
    width: 100%;
    padding: 0;
    margin: 0;
  }

  .product-detail-block .product-description {
    width: auto;
    margin-bottom: 0px;
  }

  .np-product-thumb img {
    width: 100%;
    object-fit: cover;
  }

  .woocommerce #content div.product div.images,
  .woocommerce div.product div.images,
  .woocommerce-page #content div.product div.images,
  .woocommerce-page div.product div.images {
    width: 100%;
  }

  .woocommerce #content div.product div.summary,
  .woocommerce div.product div.summary,
  .woocommerce-page #content div.product div.summary,
  .woocommerce-page div.product div.summary {
    width: 100%;
    float: none;
    margin: 0;
  }

  .box-policy {
    width: 100%;
    float: none;
    margin: 20px 0;
  }

  .woocommerce div.product .product_title {
    font-size: 20px;
  }

  .single-product .box-right {
    float: none;
    width: auto;
  }

  .single-product .box-right {
    width: auto;
    float: none;
  }

  .page--contact {
    display: block;
  }

  .woocommerce ul.products[class*=columns-] li.product,
  .woocommerce-page ul.products[class*=columns-] li.product {
    /* margin-bottom: 10px; */
  }

  .woocommerce ul.products {
    grid-template-columns: repeat(2, 1fr);
  }

  .woocommerce.archive ul.products li:nth-child(even) {
    /* margin-left: 15px !important; */
  }

  #top-footer .mt-container {
    width: auto;
  }
}

/*End media 979px*/

/* Landscape phone to portrait tablet */

@media (max-width: 768px) {

  .np-home-middle-section .middle-primary,
  .np-home-middle-section .middle-aside {
    float: none;
    width: 100%;
    background: #fff;
    padding: 0;
  }

  .news_portal_recent_posts .np-recent-posts-wrapper .np-post-title.small-size a,
  .news_portal_default_tabbed .np-post-title.small-size a {
    font-size: 16px;
  }

  #top-footer.footer_column_one .np-footer-widget,
  #top-footer.footer_column_two .np-footer-widget,
  #top-footer.footer_column_three .np-footer-widget,
  #top-footer.footer_column_four .np-footer-widget {
    float: none;
    width: 98%;
  }

  .menu-toggle,
  .header-menu-close {
    display: block;
    color: #ffffff !important;
    margin: 6px 0 0;
  }

  #site-navigation {
    background: #029fb2 none repeat scroll 0 0;
    display: none;
    left: 0;
    position: absolute;
    top: 100%;
    width: 100%;
    z-index: 99;
  }

  .np-header-menu-wrapper {
    position: relative;
  }

  #site-navigation ul li {
    display: block;
    float: none;
  }

  #site-navigation ul li a.sub-toggle.sub-toggle {
    background: #fff none repeat scroll 0 0;
    color: #029fb2;
    cursor: pointer;
    display: block;
    height: 24px;
    line-height: 25px;
    position: absolute;
    right: 15px;
    text-align: center;
    top: 8px;
    width: 24px;
    padding: 0 !important;
  }

  #site-navigation ul>li:hover>.sub-toggle,
  #site-navigation ul>li.current-menu-item .sub-toggle,
  #site-navigation ul>li.current-menu-ancestor .sub-toggle {
    background: #fff;
  }

  .main-small-navigation li.current-menu-item>.sub-toggle {
    background: #ffffff none repeat scroll 0 0;
  }

  .main-small-navigation li.current-menu-item>.sub-toggle i {
    color: #029fb2;
  }

  .menu-primary-container .sub-menu,
  #site-navigation li.menu-item-has-children>a:before,
  #site-navigation ul li.page_item_has_children>a:before {}

  #site-navigation ul.sub-menu,
  #site-navigation ul.children {
    position: static;
    min-width: 100%;
    opacity: 1;
    top: 0;
    left: 0;
    visibility: visible;
    display: none;
    background: none;
    -webkit-transition: none;
    -moz-transition: none;
    -ms-transition: none;
    -o-transition: none;
    transition: none;
    -webkit-transform: translateY(0);
    -ms-transform: translateY(0);
    -o-transform: translateY(0);
    transform: translateY(0);
  }

  #site-navigation ul>li:hover>.sub-menu,
  #site-navigation ul>li:hover>.children {
    top: 0;
  }

  #site-navigation ul#primary-menu>li:hover>a::after,
  #site-navigation ul#primary-menu>li.current-menu-item>a::after,
  #site-navigation ul#primary-menu>li.focus>a:after {
    display: none;
  }

  #site-navigation ul.sub-menu li,
  #site-navigation ul.children li {
    border-bottom: none;
  }

  #site-navigation li.focus ul.sub-menu {
    display: block;
    background: #219cee;
  }

  #primary,
  .home.blog #primary,
  #secondary,
  .home.blog #secondary {
    float: none;
    width: 100%;
  }

  .np-header-menu-wrapper .mt-container {
    justify-content: space-between;
    padding: 0;
  }

  .np-header-menu-wrapper .mt-container::before {
    display: none;
  }

  .np-header-search-wrapper {
    flex: 1;
    text-align: right;
    margin-right: 17px;
  }

  .np-logo-section-wrapper {
    /* display: none; */
  }

  #site-navigation ul li.where-is-buy a,
  #site-navigation ul li.where-is-buy:hover a,
  #site-navigation ul li.where-is-buy:focus a {
    background: transparent;
    margin: 0;
  }

  .mobile-contact {
    display: flex;
  }

  .np-home-middle-column-section .mt-container {
    display: block;
  }

  .np-home-middle-column-section .mt-container {
    width: auto;
  }

  .np-home-middle-section.two-column .middle-primary,
  .np-home-middle-section.three-column .middle-primary {
    display: block;
    padding: 0 2%;
  }

  .news_portal_card_banner {
    margin: 15px 0;
  }

  .np-home-card-youtube-section {
    margin: 0;
  }

  .np-card-youtube-wrapper {
    width: auto;
    /* display: block; */
  }

  .np-home-card-youtube-section .mt-container {
    width: auto;
  }

  .np-block-wrapper.carousel-posts {
    margin: 0 2%;
  }

  .np-home-middle-column-section .mt-container {
    padding: 0 2%;
  }

  #top-footer {
    padding: 20px 2% 20px;
    margin-bottom: 50px;
  }

  #top-footer .np-footer-widget-wrapper {
    display: block;
  }

  .np-home-middle-section.two-column .middle-primary {
    display: flex;
    gap: 20px;
  }

  .top-navigation {
    display: none;
  }

  .woocommerce div.product {
    display: block !important;
  }

  .widget_smartslider3.desktop {
    display: none;
  }

  .widget_smartslider3.mobile {
    display: block;
  }

  .woocommerce-product-details__short-description {
    display: block;
  }

  .single-product .box-right .woocommerce-product-details__short-description {
    display: none;
  }

  .woocommerce ul.products li.product .woocommerce-loop-product__title {
    font-size: 22px !important;
    font-weight: bold;
  }

  .home_banner2 .np-block-title {
    padding: 15px 0;
  }

  .widget .np-block-title {
    font-size: 22px;
  }

  h2.np-card-title {
    text-align: center;
    font-size: 22px;
  }

  .list-post {
    grid-template-columns: 1fr 1fr;
  }

  .list-post .product img,
  .list-post .post img {
    height: 100px;
  }

  .category-tabs ul {
    width: 1170px;
    /* transform: translateX(-50%); */
    /* padding-left: 600px; */
    justify-content: start;
    padding-bottom: 10px;
  }

  .tab-nav-wrapper {
    overflow-x: scroll;
  }

  .wpcf7-form .box-text {
    font-size: 20px;
  }
}

/*End media 768px*/

/* Landscape phones and down */

@media (max-width: 600px) {
  .logged-in #page {
    margin-top: 46px;
  }

  body.logged-in {
    margin-top: -50px;
  }

  .logged-in .is-sticky .np-header-menu-wrapper {
    top: 0 !important;
  }

  .news_portal_featured_slider .featured-posts.np-single-post-wrap {
    width: 98%;
  }

  .news_portal_featured_posts .np-single-post-wrap {
    margin: 2% 0 2% 2%;
    width: 97%;
  }

  .news_portal_block_posts .np-primary-block-wrap {
    width: 100%;
    float: none;
  }

  .news_portal_block_posts .np-secondary-block-wrap {
    float: none;
    margin-top: 20px;
    width: 100%;
  }

  .news_portal_block_posts .layout2 .np-primary-block-wrap .np-single-post,
  .news_portal_block_posts .layout2 .np-secondary-block-wrap .np-single-post {
    float: none;
    width: 97%;
  }

  .news_portal_block_posts .layout2 .np-primary-block-wrap .np-single-post:first-child {
    margin-bottom: 3%;
  }

  .news_portal_block_posts .layout3 .np-secondary-block-wrap .np-single-post {
    float: none;
    width: 97%;
  }

  .news_portal_block_posts .layout3 .np-secondary-block-wrap .np-single-post {
    float: none;
    width: 97%;
  }

  .news_portal_block_posts .layout3 .np-secondary-block-wrap .np-single-post img {
    width: 100%;
  }

  .np-top-left-section-wrapper .date-section,
  .top-navigation {
    display: none;
    float: none;
  }

  .np-top-right-section-wrapper,
  .np-top-left-section-wrapper {
    display: block;
    /* float: none; */
    text-align: center;
  }

  .mt-social-icons-wrapper {
    display: inline-block;
    /* margin-top: 8px; */
  }

  .site-info,
  #footer-navigation ul {
    float: none;
    text-align: center;
  }

  .ticker-caption {
    float: none;
    text-align: center;
    width: 100%;
  }

  .ticker-content-wrapper {
    float: none;
    text-align: center;
    width: 100%;
  }

  .ticker-content-wrapper .post-cats-list {
    display: inline-block;
    float: none;
  }

  .news-ticker-title>a {
    display: inline-block;
  }

  .np-ticker-block .lSAction {
    top: 40px;
  }

  .np-archive-grid-post-wrapper article {
    width: 97%;
    display: block;
    margin-right: 0;
  }

  .np-related-section-wrapper .np-single-post {
    width: 98%;
  }

  .np-related-section-wrapper .np-single-post {
    margin-top: 20px;
    width: 98%;
  }

  .news_portal_block_posts .layout4 .np-block-posts-wrapper .np-alt-grid-post {
    display: block;
    margin-bottom: 2%;
    width: 100%;
  }

  .news_portal_block_posts .layout4 .np-block-posts-wrapper .np-alt-grid-post .np-post-content {
    height: auto;
    margin-bottom: 20px;
  }

  .news_portal_block_posts .layout4 .np-block-posts-wrapper .np-alt-grid-post:last-child .np-post-content {
    margin-bottom: 0;
  }

  .news_portal_block_posts .layout4 .np-block-posts-wrapper .np-alt-grid-post img {
    width: 100%;
  }

  .np-ticker-block .lSAction {
    top: 4px;
  }

  .np-ticker-block .lSAction a {
    color: #fff;
  }

  .middle-primary .news_portal_featured_posts .layout1 .np-single-post-wrap {
    width: 98%;
  }

  .news-ticker-title>a {
    font-size: 11px;
    line-height: 1.2;
  }

  .ticker-content-wrapper .post-cats-list {
    display: none;
  }

  .np-home-middle-section section.homepage-why-choose-us ul li {
    width: auto !important;
    margin: 10px 0px !important;
  }

  .homepage-statistical ul li {
    width: 100%;
    margin: 0 0 10px;
    padding: 0;
    border-right: 0;
    border-bottom: 1px dotted rgba(255, 255, 255, .2);
  }

  .np-block-title-nav-wrap .carousel-nav-action {
    top: 56px;
  }

  .np-home-bottom-section .np-block-posts-wrapper {
    padding: 10px;
  }

  .np-card-youtube-wrapper {
    display: block;
  }

  .np-home-middle-section.two-column .middle-primary {
    display: block;
  }
}

/*End media 600px*/

@media (max-width: 480px) {
  .np-home-top-section .news_portal_featured_posts .np-block-wrapper.layout2 {
    padding: 10px;
  }

  .np-related-section-wrapper .np-single-post {
    width: 98%;
  }

  .news_portal_featured_slider .featured-posts .np-single-post-wrap {
    width: 98%;
  }

  .woocommerce ul.products {
    grid-template-columns: repeat(1, 1fr);
  }
}